Compression Logs
- Last Updated: December 11, 2024
- 1 minute read
- LoadMaster
- LoadMaster LTSF
- Documentation
2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: Connected2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: updating persist 0 12022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: Parse_http_header2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:100.0) Gecko/20100101 Firefox/100.02022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: Parse_http_header: finished2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: add_header Request: GET /test99.html2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: addadd slen = 533 state = 2 ret = 02022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: In compress_fill with//2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: ok_to_compress 200The In compress_fill with line means that compression is starting.
If the response from the server is HTTP 200, the file can be compressed. If it receives any other response, it cannot be compressed.
2022-05-19T10:04:54+00:00 lb100 kernel: L7: ffff88806f157cd0: ok_to_compress param ffff888070b51118 gzipffff888070b51118 is an internal pointer in the example above. The LoadMaster checks if the file can be compressed. If the response has already been compressed by the server, the LoadMaster will not compress it a second time. If there is no internal pointer or the value of content-encoding is identity, this forces the LoadMaster to compress.